Retrieve a person by their ID and return it as a JSON object. Supports including relations. Managers see safe serialization, others see minimal information.
GET
/data/persons/{instance_id}
curl
curl -X GET "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25?relations=true" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"relations": true
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25' \
--header "Authorization: $API_KEY"
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"role": "user",
"active": true,
"contract_type": "permanent",
"two_factor_authentication": "none",
"departments": [
"string"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}